VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Object = "{8E454E10-0507-401E-AF4F-8F0000B2F4AD}#1.0#0"; "vahid_systemtrayicon.ocx"
Object = "{03E62C93-3C8E-451A-8B30-F7F5CFFA7264}#1.0#0"; "vahid_t_api.ocx"
Begin VB.Form frm_Main 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Vahid_TAPI_Controller"
   ClientHeight    =   3375
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3255
   Icon            =   "frm_Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3375
   ScaleWidth      =   3255
   StartUpPosition =   2  'CenterScreen
   Begin Vahid_T_API.Vahid_TAPI VTapi 
      Left            =   600
      Top             =   2760
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin Vahid_SystemTrayIcon.Vahid_TrayIcon VTray 
      Left            =   120
      Top             =   2760
      _ExtentX        =   847
      _ExtentY        =   847
      Icon            =   "frm_Main.frx":27A2
      ToolTip         =   ""
      BalloonTitle    =   ""
      BalloonText     =   ""
      BalloonIcon     =   1
      Tray            =   -1  'True
   End
   Begin VB.CommandButton cmd_ACT 
      Caption         =   "&Exit"
      Height          =   375
      Index           =   0
      Left            =   2280
      TabIndex        =   2
      Top             =   2880
      Width           =   855
   End
   Begin MSCommLib.MSComm MComm 
      Left            =   1320
      Top             =   2760
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
      NullDiscard     =   -1  'True
      RTSEnable       =   -1  'True
      BaudRate        =   19200
   End
   Begin VB.TextBox txt_LOG 
      Height          =   2415
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   360
      Width           =   3015
   End
   Begin VB.Label Label 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Log:"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   315
   End
End
Attribute VB_Name = "frm_Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Bebakhshid in barname inghadr beham rikhte va gheyre herfe ee noveshte shode! Akhe in barnameye azmayeshi hast.
'Ba tashakor Vahid Eskandar
'vahid_vision@yahoo.com
'vahid_ve

Dim S_Begin As String, S_False As String, S_True As String
Dim Digits As String

Private Sub cmd_ACT_Click(Index As Integer)
    Select Case Index
        Case 0
            End
    End Select
End Sub

Private Sub Form_Load()
On Error GoTo ER
    VTray.ToolTip = Me.Caption
    ShSt "SelectedDevice: " & VTapi.DeviceName
    MComm.PortOpen = True
    S_Begin = App.Path & "\Sounds\Begin.wav"
    S_True = App.Path & "\Sounds\True.wav"
    S_False = App.Path & "\Sounds\False.wav"
    Exit Sub
ER:
    MsgBox "Error: " & Err.Number & vbCrLf & Err.Description, vbCritical, Me.Caption
    End
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Cancel = 1
    Me.Hide
    App.TaskVisible = False
End Sub

Private Sub txt_LOG_Change()
    txt_LOG.SelStart = Len(txt_LOG.Text)
End Sub

Private Sub VTapi_OnAnswered()
    ShSt "AnswerCall"
End Sub

Private Sub VTapi_OnConnected()
    ShSt "Connected"
    VTapi.PlayFile S_Begin, False
End Sub

Private Sub VTapi_OnDisconnect(DCode As Vahid_T_API.DCCode)
    ShSt "Disconnected. DisconnectCode: " & DCode
End Sub

Private Sub VTapi_OnDTMF(DigitCode As String)
    ShSt "DTMF Detected: " & DigitCode
    Digits = Digits & DigitCode
    Select Case DigitCode
        Case "*"
            Digits = vbNullString
        Case "#"
            Digits = Left(Digits, Len(Digits) - 1)
            If MComm.PortOpen = True Then
                ShSt "Sending Digits To Microcontrolled: " & Digits
                MComm.Output = Val(Digits) & Chr(13)
                If Digits = "0" Then
                    VTapi.PlayFile S_False, False
                ElseIf Digits = "1" Then
                    VTapi.PlayFile S_True, False
                End If
            Else
                ShSt "Error: Port is not open."
            End If
            Digits = ""
    End Select
End Sub

Private Sub VTapi_OnError(ErrCode As Long, ErrDescription As String)
    ShSt "Error: " & ErrCode & " - " & ErrDescription
End Sub

Private Sub VTapi_OnPlay()
    ShSt "Playing..."
End Sub

Private Sub VTapi_OnRing()
    ShSt "Ringing..."
    VTapi.AnswerCall
End Sub

Private Sub VTapi_OnStop()
    ShSt "Stop Play"
End Sub

Private Sub VTray_DblClick(Button As Integer)
    Select Case Button
        Case vbLeftButton
            Me.Show
            App.TaskVisible = True
    End Select
End Sub

Private Sub ShSt(ST As String)
    txt_LOG.Text = txt_LOG.Text & ST & vbCrLf
    VTray.BalloonTitle = "Log:"
    VTray.BalloonText = ST
    VTray.ShowBalloon
End Sub
